Skip to content
vviinn DocsDocs Beta

New Visual Search Session

Deprecated
POST
/search/session
curl --request POST \
--url 'https://api.vviinn.com/search/session?excluded%5B%5D=brand%3ANike%2CPuma&excluded%5B%5D=custom_label_0%3Asummer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form image=@file

Starts a reusable search session for a one image.

campaign-id
One of:
integer
Example
28
excluded[]

Each item describes a column and values from that column that should be excluded from the result set

Array<string>
Example
[
"brand:Nike,Puma",
"custom_label_0:summer"
]
Media typemultipart/form-data
object
image
required
string format: binary

Success

Media typeapplication/json
object
value
Array<object>
object
kind

This field is superseded by the entity type and therefore deprecated.

string
Allowed values: product content
entityType

The API usually returns products; it can also return entities representing something else. To enable different handling of these entities, the API uses an entity-type to distinguish between them, namely:

  • A product entity represents a product in the catalog.
  • A content entity contains information relevant to a user, e.g., trends, opening hours.
  • A list entity comprises a collection of distinguishable items, e.g., a category page.
string
Allowed values: product content list
groupId
string
nullable
productId
string
title
string
deeplink

Link to the product detail page

string
nullable
brand
string
nullable
productType
string
nullable
image
object
original
required
string format: uri
thumbnail
required
string format: uri
nullable
images
Array<object>
object
original
required
string format: uri
thumbnail
required
string format: uri
nullable
price
object
actual
number
nullable
sale
number
nullable
basePrice
object
actual

The base price per measure is derived by adjusting the product’s total cost to a standardized unit of measurement, making it easier to compare products of varying volumes.

object
price
number
nullable
quantity
number
measure
string
sale

The base price per measure is derived by adjusting the product’s total cost to a standardized unit of measurement, making it easier to compare products of varying volumes.

object
price
number
nullable
quantity
number
measure
string
energyEfficiencyClass

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
minEnergyEfficiencyClass

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
maxEnergyEfficiencyClass

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
energyCertifications
Array<object>
object
certificationClass

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
classIconUrls
object
left
required
string format: uri
right
required
string format: uri
classRange
object
min

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
max

More information

string
nullable
Allowed values: A+++ A++ A+ A B C D E F G
classLabelUrl
string format: uri
classDataSheetUrl
string format: uri
productType
string
custom_label_0
string
nullable
custom_label_1
string
nullable
custom_label_2
string
nullable
custom_label_3
string
nullable
custom_label_4
string
nullable
type
string
searchArea
object
rel
required
Array<string>
value
required
Array<object>
object
name
required
string
value
required
string
method
required
string
href
required
string format: uri
uploadHighResolutionImage
object
rel
required
Array<string>
value
required
Array<object>
object
name
required
string
value
required
string
method
required
string
href
required
string format: uri
filters
object
type
string
value
object
categories
Array<object>
object
name
required
string
method
required
string
href
required
string format: uri
links
object
key
additional properties
object
method
required
string
href
required
string format: uri
detectedObjects
Array<object>
object
value
object
classId
integer
class
string
score
required
integer
rectangle
required
object
left
number
top
number
width
number
height
number
links
Example
{
"value": [
{
"kind": "product",
"entityType": "product",
"groupId": "55fc5f71d6362321cb93b82b387e2f32",
"productId": "55fc5f71d6362321cb93b82b387e2f32",
"title": "Livingwalls Fototapete Walls by Patel iconic 3",
"deeplink": "http://mainUrl/site/5/product/55fc5f71d6362321cb93b82b387e2f32/details",
"brand": "Fender",
"productType": "guitar",
"image": {
"original": "http://mainUrl/image.jpg",
"thumbnail": "http://mainUrl/thumbnail-image.jpg"
},
"images": [
{
"original": "http://mainUrl/image.jpg",
"thumbnail": "http://mainUrl/thumbnail-image.jpg"
}
],
"price": {
"actual": 19.9,
"sale": 19.9
},
"basePrice": {
"actual": {
"price": 15.92,
"quantity": 100,
"measure": "ml"
},
"sale": {
"price": 15.92,
"quantity": 100,
"measure": "ml"
}
},
"energyEfficiencyClass": "A+++",
"minEnergyEfficiencyClass": "A+++",
"maxEnergyEfficiencyClass": "A+++",
"energyCertifications": [
{
"certificationClass": "A+++",
"classRange": {
"min": "A+++",
"max": "A+++"
}
}
]
}
],
"type": "array",
"searchArea": {
"method": "POST"
},
"uploadHighResolutionImage": {
"method": "POST"
},
"filters": {
"type": "object",
"value": {
"categories": [
{
"method": "POST"
}
]
}
},
"links": {
"self": {
"method": "POST",
"href": "/search/session/62cd4392853023-58137863"
}
},
"detectedObjects": [
{
"value": {
"rectangle": {
"left": 0,
"top": 0.3641,
"width": 0.94,
"height": 0.54175
}
}
}
]
}

ProductSearch exception

Media typeapplication/json
Example
{
"message": "Could not start search session",
"data": "",
"debug": "Passed images count to this endpoint are invalid or not enough."
}

Authentication Error

Media typeapplication/json
Example
{
"message": "Authentication Error"
}

Authorization Error

Media typeapplication/json
Example
{
"message": "Authorization Error"
}